<?php

class sxxn extends crudData
{
    public function sx()
    {
        $satker = new satker;
        $lembaga = $satker->dataSatker('sekolah');
        $jenjang = $satker->dataSatker('jenjang');
        $id = $satker->dataSatker('id');
        $tanggal = $this->getValue('serial', "where id='$id'", 'tanggal');

        $Dtgl = substr($tanggal, 9, 1);
        if (strlen($lembaga) >= 32) {
            $lenLembaga = strlen($lembaga) - 32;
        } elseif (strlen($lembaga) < 32 && strlen($lembaga) > 20) {
            $lenLembaga = strlen($lembaga) - 5;
        } else {
            $lenLembaga = strlen($lembaga);
        };

        if ($jenjang == "PAUD") {
            $jj = "PD";
        } elseif ($jenjang == "SD") {
            $jj = "SD";
        } elseif ($jenjang == "SMP") {
            $jj = "SP";
        } elseif ($jenjang == "SMA") {
            $jj = "SA";
        } else {
            $jj = "ZZ";
        };

        $val1 = strtoupper(substr(md5($lembaga), $Dtgl, 3) . substr(md5($id), $lenLembaga, 3));
        $val2 = strtoupper(substr(md5($jenjang), $Dtgl + 5, 3) . substr(md5($lembaga), $lenLembaga + 2, 2) . substr($jj, 0, 1));
        $val3 = strtoupper(substr(md5($id), $lenLembaga + 1, 3) . substr(md5($tanggal), $lenLembaga, 3));
        $val4 = strtoupper(substr(md5($lembaga), $Dtgl + 5, 2) . substr(md5($jj), 1, 1) . substr(md5($id), $lenLembaga, 3));
        $val5 = strtoupper(substr(md5($tanggal), $Dtgl + 6, 3) . substr(md5($lembaga), $lenLembaga + 3, 3));
        return $val1 . "-" . $val2 . "-" . $val3 . "-" . $val4 . "-" . $val5;
    }
    public function atx($lembaga, $jenjang, $tanggal, $id)
    {
        $Dtgl = substr($tanggal, 9, 1);
        if (strlen($lembaga) >= 32) {
            $lenLembaga = strlen($lembaga) - 32;
        } elseif (strlen($lembaga) < 32 && strlen($lembaga) > 20) {
            $lenLembaga = strlen($lembaga) - 5;
        } else {
            $lenLembaga = strlen($lembaga);
        };

        if ($jenjang == "PAUD") {
            $jj = "PD";
        } elseif ($jenjang == "SD") {
            $jj = "SD";
        } elseif ($jenjang == "SMP") {
            $jj = "SP";
        } elseif ($jenjang == "SMA") {
            $jj = "SA";
        } else {
            $jj = "ZZ";
        };
        $val1 = strtoupper(substr(md5($lembaga), 12, 3) . substr(md5($id), 15, 1) . substr($jj, 0, 1));
        $val2 = strtoupper(substr(md5($jj), 10, 2) . substr(md5($lembaga), 20, 3));
        $val3 = strtoupper(substr(md5($jenjang), $lenLembaga + 3, 3) . substr(md5($tanggal), 2, 2));
        $val4 = strtoupper(substr(md5($val1), 4, 2) . substr($val2, 13, 1) . substr(md5($id), $lenLembaga, 2));
        $val5 = strtoupper(md5($val1 . $val2 . $val3 . $val4));
        return $val1 . $val2 .  $val3 .  $val4 . $val5;
    }
}
